x11/py-gnome2 - The NetBSD Packages Collection

Python binding for GNOME2

The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto devel/py-gobject-shared pkgtools/cwrappers devel/py-gobject-shared devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

lang/python27 devel/GConf devel/GConf devel/glib2 devel/libbonobo devel/libbonoboui x11/gtk2 devel/libgnome sysutils/gnome-vfs sysutils/gnome-vfs graphics/libgnomecanvas devel/libgnomeui net/py-ORBit net/py-ORBit x11/py-gtk2 x11/py-gtk2 lang/python27 devel/GConf devel/glib2 devel/libbonobo devel/libbonoboui x11/gtk2 devel/libgnome sysutils/gnome-vfs graphics/libgnomecanvas devel/libgnomeui net/py-ORBit x11/py-gtk2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 8.0earmv7hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 8.0i386py27-gnome2-2.28.1nb46.tgz
NetBSD 8.0i386py27-gnome2-2.28.1nb47.tgz
NetBSD 8.0i386py27-gnome2-2.28.1nb47.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb41.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb44.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb45.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb46.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb41.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb44.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb45.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb46.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb47.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb41.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb44.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb45.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb46.tgz
NetBSD 8.0powerpcpy27-gnome2-2.28.1nb47.tgz
NetBSD 8.0x86_64py27-gnome2-2.28.1nb46.tgz
NetBSD 8.0x86_64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0aarch64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0aarch64py27-gnome2-2.28.1nb46.tgz
NetBSD 9.0aarch64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0alphapy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0alphapy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0earmv6hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0earmv6hfpy27-gnome2-2.28.1nb46.tgz
NetBSD 9.0earmv6hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0earmv6hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0earmv7hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0earmv7hfpy27-gnome2-2.28.1nb46.tgz
NetBSD 9.0earmv7hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0earmv7hfpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0i386py27-gnome2-2.28.1nb46.tgz
NetBSD 9.0i386py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0i386py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0mips64ebpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0mips64ebpy27-gnome2-2.28.1nb46.tgz
NetBSD 9.0mips64ebpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb41.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb44.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb45.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb46.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb41.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb44.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb45.tgz
NetBSD 9.0powerpcpy27-gnome2-2.28.1nb46.tgz
NetBSD 9.0sh3elpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0sh3elpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0sparc64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0sparc64py27-gnome2-2.28.1nb45.tgz
NetBSD 9.0sparc64py27-gnome2-2.28.1nb46.tgz
NetBSD 9.0sparc64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0sparcpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0sparcpy27-gnome2-2.28.1nb46.tgz
NetBSD 9.0sparcpy27-gnome2-2.28.1nb47.tgz
NetBSD 9.0x86_64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0x86_64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0x86_64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0x86_64py27-gnome2-2.28.1nb46.tgz
NetBSD 9.0x86_64py27-gnome2-2.28.1nb47.tgz
NetBSD 9.0x86_64py27-gnome2-2.28.1nb47.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.